--- configure.ac 	1970-01-01 01:00:00.000000000 +0100
+++ configure.ac	2008-01-30 12:45:53.174426797 +0000
@@ -0,0 +1,10 @@
+# -*- Autoconf -*-
+AC_PREREQ(2.59)
+AC_INIT(ldl, 2.0.3, davis@cise.ufl.edu)
+AM_INIT_AUTOMAKE([foreign])
+AC_PROG_INSTALL
+AC_PROG_LIBTOOL
+AC_CHECK_LIB(m, sqrt)
+AC_CHECK_HEADERS(UFconfig.h)
+AC_CONFIG_FILES([Makefile Source/Makefile Demo/Makefile])
+AC_OUTPUT
--- Makefile.am 	1970-01-01 01:00:00.000000000 +0100
+++ Makefile.am	2008-01-30 15:49:41.835515468 +0000
@@ -0,0 +1,4 @@
+SUBDIRS = Source Demo
+EXTRA_DIST = README.txt
+include_HEADERS = Include/ldl.h
+
--- Source/Makefile.am 	1970-01-01 01:00:00.000000000 +0100
+++ Source/Makefile.am	2008-01-30 12:49:25.858546974 +0000
@@ -0,0 +1,11 @@
+AM_CPPFLAGS = -I$(top_srcdir)/Include
+
+LDLSRC=ldl.c
+lib_LTLIBRARIES = libldl.la
+noinst_LTLIBRARIES = libldli.la libldll.la
+libldli_la_SOURCES = $(LDLSRC)
+libldli_la_CPPFLAGS = $(AM_CPPFLAGS)
+libldll_la_SOURCES = $(LDLSRC)
+libldll_la_CPPFLAGS = $(AM_CPPFLAGS) -DLDL_LONG
+libldl_la_SOURCES = 
+libldl_la_LIBADD = libldll.la libldli.la
--- Demo/Makefile.am 	1970-01-01 01:00:00.000000000 +0100
+++ Demo/Makefile.am	2008-01-30 15:43:45.603214946 +0000
@@ -0,0 +1,27 @@
+LDADD = $(top_builddir)/Source/libldl.la -lm
+AM_CPPFLAGS =  -I$(top_srcdir)/Include
+check_PROGRAMS = ldlsimple ldllsimple ldlmain ldllmain ldlamd ldllamd
+
+ldlmain_SOURCES = ldlmain.c
+ldllmain_SOURCES = ldlmain.c
+ldllmain_CPPFLAGS = $(AM_CPPFLAGS) -DLDL_LONG
+
+ldlsimple_SOURCES = ldlsimple.c
+ldllsimple_SOURCES = ldlsimple.c
+ldllsimple_CPPFLAGS = $(AM_CPPFLAGS) -DLDL_LONG
+
+ldlamd_SOURCES = ldlamd.c
+ldllamd_CPPFLAGS =  $(AM_CPPFLAGS) -DUSE_AMD
+ldllamd_SOURCES = ldlamd.c
+ldllamd_CPPFLAGS =  $(AM_CPPFLAGS) -DUSE_AMD -DLDL_LONG
+ldllamd_LDADD = $(LDADD) -lamd
+
+check-local: $(check_PROGRAMS)
+	@for i in $(check_PROGRAMS); do \
+		echo "Testing $$i"; \
+		./$$i > my_$$i.out; \
+		if ! diff $$i.out my_$$i.out; then \
+			echo "Testing $$i failed"; \
+			exit 1; \
+		fi \
+	done;
